; created by Saurabh Kumar Pandey
; config file for workers 

; application environment PROD, BETA, LOCAL
[environment]
application = PROD
location = DELHI

[aws]
clientid=VIDSR2NP
secret=ssssss
sync_url=https://flowservices.digitallocker.gov.in/Vault/s3Migration

;Rabbitmq Parameters
[rabbitmq]
host=127.0.0.1
port =9012
username =account-user
password =Account#2021#FswfynnS
vhost=/
socket_timeout=20

[rabbitmq_log]
RABBITMQ_ACCOUNTS_USERNAME = 'guest'
RABBITMQ_ACCOUNTS_PASSWORD = 'guest'
RABBITMQ_ACCOUNTS_HOST = '192.168.1.2'
RABBITMQ_ACCOUNTS_PORT = 5672 
RABBITMQ_ACCOUNTS_VHOST = '/'
SOCKET_TIMEOUT = 20
EXCHANGE_NAME = 'accounts_worker_exchange'
QUEUE_NAME = 'accounts_worker_log'

[fluent]
host=worker-fluentd.shasrti-park-dl-accounts-namespace
app_name=digilocker_accounts_workers_prod
port =24224
socket_timeout=0.01
connection_timeout=0.01
persistent=TRUE
retry_socket=TRUE
max_write_retry=2


; Prefetch count is used to send bunch of data to worker
[prefetch_count]
############## REQUEST SPLITTERS ###################
split-accounts-creation = 10
split-set-pin = 10
split-update-user = 10
split-update-profile = 10
split-user-attempts-log = 10
split-user-creation-log = 10
split-user-address = 10
split-convert-user = 10
############## QUEUES ###################
accounts-creation = 10
accounts-create-pin = 10
update-user-profile = 10
accounts-update-users = 10
users-signup-attempts = 10
accounts-nominee = 10

######### DATABASE CONFIG #############
[mongo_accounts_db]
accounts_services = mongodb://
accounts_db = accounts_services